﻿/**
 * Parameters for tank carousel
 * Параметры карусели танков
 */
{
  "carousel": {
    // false - Disable customizable carousel.
    // false - Отключить настраиваемую карусель.
    "enabled": true,
    // Scale of carousel cells.
    // Масштаб ячеек карусели.
    "zoom": 1,
    // Number of rows at carousel.
    // Количество рядов карусели.
    "rows": 1,
    // Spacing between carousel cells.
    // Отступ между ячейками карусели.
    "padding": {
        "horizontal": 10,   // по горизонтали
        "vertical": 2       // по вертикали
    },
    // true - show filters even if all tanks fit on the screen.
    // true - показывать фильтры даже если все танки помещаются на экране.
    "alwaysShowFilters": false,
    // true - hide cell "Buy tank".
    // true - скрыть ячейку "Купить танк".
    "hideBuyTank": false,
    // true - hide cell "Buy slot".
    // true - скрыть ячейку "Купить слот".
    "hideBuySlot": false,
    // Visibility filters.
    // Видимость фильтров.
    "filters": {
      // false - hide filter.
      // false - скрыть фильтр.
      "nation":   { "enabled": true },  // nation           / страна
      "type":     { "enabled": true },  // vehicle class    / тип техники
      "favorite": { "enabled": true },  // favorite tanks   / основные танки
      "fallout":  { "enabled": true },  // domination tanks / танки для "превосходства"
      "level":    { "enabled": true },  // vehicle level    / уровень техники
      "prefs":    { "enabled": true }   // other filters    / другие фильтры
    },
    // Standard cell elements.
    // Стандартные элементы ячеек.
    "fields": {
      // "visible"  - the visibility of the element / видимость элемента
      // "dx"       - horizontal shift              / смещение по горизонтали
      // "dy"       - vertical shift                / смещение по вертикали
      // "alpha"    - transparency                  / прозрачность
      // "scale"    - scale                         / масштаб
      //
      // Vehicle class icon.
      // Иконка типа техники.
      "tankType": { "visible": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle level.
      // Уровень техники
      "level":    { "visible": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // todo: english description
      // Иконка не сбитого кратного опыта за первую победу в день.
      "multiXp":  { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // todo: english description
      // Иконка не сбитого опыта за первую победу в день.
      "xp":       { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Vehicle name.
      // Название танка.
      "tankName": { "visible": false, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Status text (Crew incomplete, Repairs required)
      // Статусный текст (Неполный экипаж, Требуется ремонт).
      "statusText": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Status text for "Buy tank" and "Buy slot" slots.
      // Статусный текст для слотов "Купить танк" и "Купить слот".
      "statusTextBuy": { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 },
      // Clan lock timer
      // Таймер блокировки танка
      "clanLock":   { "visible": true, "dx": 0, "dy": 0, "alpha": 100, "scale": 1 }
    },
    // Extra cell fields (see playersPanel.xc).
    // Дополнительные поля ячеек (см. playersPanel.xc).
    "extraFields": [
      // { "x": -1, "y": 20, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='66' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },  
      // { "x": 30, "y": -1, "format": "<img src='img://gui/maps/icons/carousel/bar_m.png' width='109' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },	  
     
	 
	  { "x": 0, "y": -2, "format": "<img src='img://gui/maps/icons/library/proficiency/class_icons_{{v.mastery}}.png' width='26' height='26'>" },
      // { "x":  0, "y": 18, "format": "<img src='img://gui/maps/icons/carousel/hits.png' width='20' height='18'> <b><font size='14' face='$FieldFont' color='{{v.c_winrate}}'> {{v.winrate%2d~%}}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},
	  // { "x": 0, "y": 0, "format": "<img src='img://gui/maps/icons/carousel/Flags/nation_{{v.nation}}.dds' width='30' height='30'>", "alpha": 100 },

	  // { "x": -1, "y": 39, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='66' height='15'>", "alpha": "{{v.hitsRatio?100|0}}" },
      // { "x": -1, "y": 38, "format": "<img src='img://gui/maps/icons/library/TournamentBattleResultIcon-1.png' width='18' height='18'>" },
      // { "x": 24, "y": 37, "format": "<b><font size='14' face='$FieldFont' color='{{v.c_battles}}'>{{v.battles%-4d|--}}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      // { "x": 134, "y": 24,"format": "<b><font size='14' face='$FieldFont' color='{{v.c_tfb}}'>{{v.tfb%3.3s|---}}</font></b>","shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      { "x": 121, "y": 20, "format": "<img src='img://gui/maps/icons/carousel/Marks/{{v.nation}}_{{v.marksOnGun}}_marks.png' width='35' height='35'>"},
	  // { "x": 93,  "y": 42, "format": "<img src='img://gui/maps/icons/carousel/bar_r.png' width='65' height='15'>", "alpha": "{{v.damageRating?90|0}}" },
      // { "x": 117, "y": 41, "format": "<b><font  size='14' face='$FieldFont' color='{{v.c_damageRating}}'>{{v.damageRating%-2.2f~%}}</font></b>" , "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }},

      // { "x": -1, "y": 57, "format": "<img src='img://gui/maps/icons/carousel/bar_l.png' width='25' height='25'>", "alpha": "{{v.hitsRatio?100|0}}" },
      // { "x": -1, "y": 56, "format": "<img src='img://gui/maps/icons/library/ClanBattleResultIcon-1.png' width='18' height='18'>" },
	  {
                "x": 1,
                "y": 54,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>F/B: <font size='12' face='$FieldFont' color='{{v.c_tfb}}'><b>{{v.tfb%3.3s}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 41,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>W/B: <font size='12' face='$FieldFont' color='{{v.c_winrate}}'><b>{{v.winrate%d~%}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 28,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>xTE: <font size='12' face='$FieldFont' color='{{v.c_xte}}'><b>{{v.xte}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 67,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>GPL: <font size='12' face='$FieldFont' color='{{v.c_battles}}'><b>{{v.battles}}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 1,
                "y": 80,
                "align": "left",
                "alpha": 100,
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>D/B: <font size='12' face='$FieldFont' color='{{v.c_tdb}}'><b>{{v.tdb%-4d~ }}</b></font>",
                "shadow":
                    {
                    "enabled": true,            // false - no shadow.
                    "distance": 0,              // (in pixels)
                    "angle": 0,                 // 0.0 - 360.0
                    "color": "0x000000",        // "0xXXXXXX"
                    "alpha": 80,                // 0.0 - 1.0
                    "blur": 6,                  // 0.0 - 255.0; 6 is recommended
                    "strength": 4               // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 158,
                "y": 54,
                "align": "right",
                "alpha": 100,            
                "format": "<font size='12' face='$FieldFont' color='#7d7d75'>{{v.damageRating%-2.2f~%}}</font>",
                "shadow":
                    {
                    "distance": 0,                // (in pixels)
                    "angle": 0,                   // 0.0 - 360.0
                    "color": "0x000000",          // "0xXXXXXX"
                    "alpha": 80,                  // 0.0 - 1.0
                    "blur": 6,                    // 0.0 - 255.0; 6 is recommended
                    "strength": 4                 // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 67,
                "align": "right",
                "alpha": 100,
                "format": "<font size='12' color='#7d7d75'>({{v.battletiermin}}-{{v.battletiermax}}) <font size='12' color='#FFFFFF'><b>{{v.rlevel}}</b></font></textformat>",
                "shadow":
                    {
                    "distance": 0,                // (in pixels)
                    "angle": 0,                   // 0.0 - 360.0
                    "color": "0x000000",          // "0xXXXXXX"
                    "alpha": 80,                  // 0.0 - 1.0
                    "blur": 6,                    // 0.0 - 255.0; 6 is recommended
                    "strength": 4                 // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 80,
                "align": "right",
                "alpha": "{{v.premium?0|100}}",
                "format": "<font size='12' face='$FieldFont' color='{{v.premium?#E7B622|#FFFFFF}}'>{{v.name}}</font>",
                "shadow":
                    {
                    "distance": 0,                           // (in pixels)
                    "angle": 0,                              // 0.0 - 360.0
                    "color": "0x434343",                     // "0xXXXXXX"
                    "alpha": "1",                            // 0.0 - 1.0
                    "blur": 6,                               // 0.0 - 255.0; 6 is recommended
                    "strength": 3                            // 0.0 - 255.0; 3 is recommended
                    }
                },
	  {
                "x": 156,
                "y": 80,
                "align": "right",
                "alpha": "{{v.premium?100|0}}",
                "format": "<font size='12' face='$FieldFont' color='{{v.premium?#E7B622|#FFFFFF}}'>{{v.name}}</font>",
                "shadow":
                    {
                    "distance": 0,                           // (in pixels)
                    "angle": 0,                              // 0.0 - 360.0
                    "color": "0x642D1A",                     // "0xXXXXXX"
                    "alpha": "1",                            // 0.0 - 1.0
                    "blur": 6,                               // 0.0 - 255.0; 6 is recommended
                    "strength": 3                            // 0.0 - 255.0; 3 is recommended
                    }
                }
      // { "x": 23, "y": 57, "format": "<b><font size='12' face='$FieldFont' color='{{v.c_tdb}}'>{{v.tdb%-4d~ }}</font></b>", "shadow": { "color": "0x000000", "alpha": 0.8, "blur": 2, "strength": 5, "distance": 0, "angle": 0 }}
    ],
    // Order of nations.
    // Порядок наций.
    //"nations_order": ["ussr", "germany", "usa", "france", "uk", "china", "japan"],
    "nations_order": [],
    // Order of types of vehicles.
    // Порядок классов техники.
    "types_order":   ["lightTank", "mediumTank", "heavyTank", "AT-SPG", "SPG"],
    // Tank sorting criteria, available options: (minus = reverse order)
    // Критерии сортировки танков, доступные значения: (минус = в обратном порядке)
    // "nation", "type", "level", "maxBattleTier", "premium", "-level", "-maxBattleTier", "-premium"
    "sorting_criteria": ["nation", "type", "level"],
    // Suppress the tooltips for tanks in carousel
    // Убрать подсказки к танкам в карусели
    "suppressCarouselTooltips": false
  }
}
